from datetime import datetime

from tic.shared.dto import Dto
from tic.shared.utils.date_util import (
    utc_now,
)


class CynicAnalysisResult(Dto):
    def __init__(
        self,
        sha256: str = None,
        verdictTime: int = 0,
        verdict: str = None,
        threatName: str = None,
        taskId: str = None,
        status: str = None,
        analysis_date: datetime = utc_now(),
    ):
        self.sha256 = sha256
        self.verdictTime: int = verdictTime
        self.verdict: str = verdict
        self.threatName: str = threatName
        self.taskId: str = taskId
        self.status: str = status
